GBC3(1)

NAME
gbc3 - GAMBAS Compiler

SYNOPSIS
gbc3 [options] [<project directory>]

DESCRIPTION
Gambas is a free development environment based on a Basic interpreter with object extensions, a mix of Java(tm) and Visual Basic(tm). With Gambas, you can quickly design your program GUI with Qt or GTK+, access database systems like MySQL, PostgreSQL, SQlite or ODBC databases, pilot applications with DBus, translate your program into many languages, create GStreamer, OpenGL or SDL applications, and so on...

gbc3 is the compiler that allows you to compile Gambas projects into architecture-independent bytecode.

OPTIONS

-a, --all
    compile all

-b, --bytecode-version
    force a specific bytecode version

-d, --output-desc
    output class description files for the IDE

-e, --translate-errors
    display translatable error messages

-F, --form <form file>
    convert a form file into code and print it

-g, --debug
    add debugging information

-h, --help
    display help and exit

-j, --jobs <count>
    number of background jobs (default: <number of CPU cores>)

-L, --license
    display license

-n, --default-namespace <namespace>
    default namespace for exported classes

-q --quiet
    do not print anything if compilation succeeds

-r, --root <directory>
    gives the gambas installation directory

-s, --swap
    swap endianness

-t, --translate
    output translation files

-v, --verbose
    verbose output

-V, --version
    display version

-w, --warnings
    display warnings

-x, --exec
    define the 'Exec' preprocessor constant

COMPILER FLAGS

-f check-prefix
    check the prefix of variables if warnings are enable

-f public-module
    module symbols are public by default

-f public-control
    form controls are public

AVAILABILITY
The latest version of Gambas can always be obtained from gambas.sourceforge.net, documentation about the language is at http://gambaswiki.org/wiki.

REPORTING BUGS
Report bugs to http://gambaswiki.org/bugtracker

COPYRIGHT
Copyright© Benoît Minisini <benoit.minisini@gambas-basic.org>;

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.